Package com.macrofocus.high_d.parallelcoordinates

# Class AbstractParallelCoordinatesView<Component,Color,R,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesView<Component,Color,R,C>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `com.macrofocus.crossplatform.CPInteractiveComponent<Component>`, `ParallelCoordinatesView<Component,Color,R,C>`

Direct Known Subclasses:
  `JavaFXParallelCoordinatesView`

public abstract class AbstractParallelCoordinatesView<Component,Color,R,C> extends Object implements ParallelCoordinatesView<Component,Color,R,C>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesView

  `ParallelCoordinatesView.DragListener, ParallelCoordinatesView.HeaderListener, ParallelCoordinatesView.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Integer`
  `DEFAULT_LAYER`
  Convenience object defining the Default layer.
  `static final Integer`
  `DRAG_LAYER`
  Convenience object defining the Drag layer.
  `static final Integer`
  `MODAL_LAYER`
  Convenience object defining the Modal layer.
  `static final Integer`
  `PALETTE_LAYER`
  Convenience object defining the Palette layer.
  `static final Integer`
  `POPUP_LAYER`
  Convenience object defining the Popup layer.
  `protected final MutableProperties<ParallelCoordinatesView.PropertyType>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinatesView(com.macrofocus.igraphics.CPColorFactory<Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDragListener(ParallelCoordinatesView.DragListener listener)`
  `void`
  `addHeaderListener(ParallelCoordinatesView.HeaderListener listener)`
  `void`
  `dragAxisTo(com.macrofocus.high_d.axis.AxisView view, int shift)`
  Drag an axis with the specified offset.
  `MutableProperty<com.macrofocus.high_d.axis.Alignment>`
  `getAlignment()`
  `MutableProperty<Boolean>`
  `getAllowScrolling()`
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `MutableProperty<Boolean>`
  `getAxisLine()`
  `MutableProperty<Float>`
  `getColoredTransparency()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `MutableProperty<Integer>`
  `getColumnSize()`
  `MutableProperty<Geometry>`
  `getGeometry()`
  `MutableProperty<Boolean>`
  `getProbeFiltered()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Boolean>`
  `getShowProbedValues()`
  `MutableProperty<Boolean>`
  `getShowVisible()`
  `MutableProperty<Boolean>`
  `getTooltip()`
  `void`
  `headerSelected(com.macrofocus.high_d.axis.AxisView view, int clickCount)`
  `void`
  `removeDragListener(ParallelCoordinatesView.DragListener listener)`
  `void`
  `removeHeaderListener(ParallelCoordinatesView.HeaderListener listener)`
  `void`
  `setAllowScrolling(MutableProperty<Boolean> allowScrolling)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setTooltip(MutableProperty<Boolean> tooltip)`
  `void`
  `startDragging(com.macrofocus.high_d.axis.AxisView view)`
  Start dragging an axis.
  `void`
  `stopDragging(com.macrofocus.high_d.axis.AxisView view)`
  Stop dragging an axis.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPInteractiveComponent

  `addMouseListener, addMouseMotionListener, removeMouseListener, removeMouseMotionListener`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesView

  `getAxisGroupView, getAxisView, getAxisX, getClosestRow, getHeaderAxisGroupMaximumHeight, getHeaderAxisMaximumHeight, getHeight, getModel, getNativeComponent, getParallelCoordinatesLayout, getRows, getWidth, isSelectionMode, isShowTiming, setAntialiasing, setGeometry, setLicenseModel, setModel, setRendering, setSelectionMode, setShowFiltered, setShowTiming, waitUntilReady`

- ## Field Details

  - ### properties

    protected final MutableProperties<ParallelCoordinatesView.PropertyType> properties

  - ### DEFAULT_LAYER

    public static final Integer DEFAULT_LAYER
    Convenience object defining the Default layer. Equivalent to Integer.valueOf(0).

  - ### PALETTE_LAYER

    public static final Integer PALETTE_LAYER
    Convenience object defining the Palette layer. Equivalent to Integer.valueOf(100).

  - ### MODAL_LAYER

    public static final Integer MODAL_LAYER
    Convenience object defining the Modal layer. Equivalent to Integer.valueOf(200).

  - ### POPUP_LAYER

    public static final Integer POPUP_LAYER
    Convenience object defining the Popup layer. Equivalent to Integer.valueOf(300).

  - ### DRAG_LAYER

    public static final Integer DRAG_LAYER
    Convenience object defining the Drag layer. Equivalent to Integer.valueOf(400).

- ## Constructor Details

  - ### AbstractParallelCoordinatesView

    public AbstractParallelCoordinatesView(com.macrofocus.igraphics.CPColorFactory<Color> factory)

- ## Method Details

  - ### getTooltip

    public MutableProperty<Boolean> getTooltip()
    Specified by:
      `getTooltip` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### setTooltip

    public void setTooltip(MutableProperty<Boolean> tooltip)
    Specified by:
      `setTooltip` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### addDragListener

    public void addDragListener(ParallelCoordinatesView.DragListener listener)
    Specified by:
      `addDragListener` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### removeDragListener

    public void removeDragListener(ParallelCoordinatesView.DragListener listener)
    Specified by:
      `removeDragListener` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### startDragging

    public void startDragging(com.macrofocus.high_d.axis.AxisView view)
    Description copied from interface: `ParallelCoordinatesView`
    Start dragging an axis.
    Specified by:
      `startDragging` in interface `ParallelCoordinatesView<Component,Color,R,C>`
    Parameters:
      `view` - the axis to drag

  - ### stopDragging

    public void stopDragging(com.macrofocus.high_d.axis.AxisView view)
    Description copied from interface: `ParallelCoordinatesView`
    Stop dragging an axis. This will usually trigger a layout of the parallel coordinates plot.
    Specified by:
      `stopDragging` in interface `ParallelCoordinatesView<Component,Color,R,C>`
    Parameters:
      `view` - the axis that has been dragged

  - ### dragAxisTo

    public void dragAxisTo(com.macrofocus.high_d.axis.AxisView view, int shift)
    Description copied from interface: `ParallelCoordinatesView`
    Drag an axis with the specified offset.
    Specified by:
      `dragAxisTo` in interface `ParallelCoordinatesView<Component,Color,R,C>`
    Parameters:
      `view` - the axis
      `shift` - the offset

  - ### addHeaderListener

    public void addHeaderListener(ParallelCoordinatesView.HeaderListener listener)
    Specified by:
      `addHeaderListener` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### removeHeaderListener

    public void removeHeaderListener(ParallelCoordinatesView.HeaderListener listener)
    Specified by:
      `removeHeaderListener` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### headerSelected

    public void headerSelected(com.macrofocus.high_d.axis.AxisView view, int clickCount)
    Specified by:
      `headerSelected` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getShowFiltered

    public MutableProperty<Boolean> getShowFiltered()
    Specified by:
      `getShowFiltered` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getRendering

    public MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()
    Specified by:
      `getRendering` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getAntialiasing

    public MutableProperty<Boolean> getAntialiasing()
    Specified by:
      `getAntialiasing` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getAxisLine

    public MutableProperty<Boolean> getAxisLine()
    Specified by:
      `getAxisLine` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getGeometry

    public MutableProperty<Geometry> getGeometry()
    Specified by:
      `getGeometry` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getAlignment

    public MutableProperty<com.macrofocus.high_d.axis.Alignment> getAlignment()
    Specified by:
      `getAlignment` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getShowVisible

    public MutableProperty<Boolean> getShowVisible()
    Specified by:
      `getShowVisible` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getColoredTransparency

    public MutableProperty<Float> getColoredTransparency()
    Specified by:
      `getColoredTransparency` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getProbeFiltered

    public MutableProperty<Boolean> getProbeFiltered()
    Specified by:
      `getProbeFiltered` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `ParallelCoordinatesView`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `ParallelCoordinatesView<Component,Color,R,C>`
    Returns:
      the color theme

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `ParallelCoordinatesView`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `ParallelCoordinatesView<Component,Color,R,C>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### getShowProbedValues

    public MutableProperty<Boolean> getShowProbedValues()
    Specified by:
      `getShowProbedValues` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getColumnSize

    public MutableProperty<Integer> getColumnSize()
    Specified by:
      `getColumnSize` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getAllowScrolling

    public MutableProperty<Boolean> getAllowScrolling()
    Specified by:
      `getAllowScrolling` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### setAllowScrolling

    public void setAllowScrolling(MutableProperty<Boolean> allowScrolling)
    Specified by:
      `setAllowScrolling` in interface `ParallelCoordinatesView<Component,Color,R,C>`

  - ### getRubberBand

    public com.macrofocus.rubberband.RubberBand getRubberBand()
    Specified by:
      `getRubberBand` in interface `ParallelCoordinatesView<Component,Color,R,C>`